diff -up wrk/genisoimage/genisoimage.1.wrk wrk/genisoimage/genisoimage.1
--- wrk/genisoimage/genisoimage.1.wrk	2017-01-04 15:58:13.697936687 +0100
+++ wrk/genisoimage/genisoimage.1	2017-01-04 16:08:22.411801026 +0100
@@ -115,7 +115,8 @@ is the path of the directory tree to be
 Multiple paths can be specified, and
 .B genisoimage
 will merge the files found in all of the specified path components to
-form the filesystem image.
+form the filesystem image. If an error is encountered while handling directory tree, 
+only error messages are produced and the process is aborted - incomplete image is not created.
 .PP
 If the option
 .B \-graft\-points
@@ -180,6 +181,8 @@ in the
 file.
 .TP
 .BI \-A " application_id"
+.TP
+.BI \-appid " application_id"
 Specifies a text string that will be written into the volume header.
 This should describe the application that will be on the disc.  There
 is space for 128 characters.  Equivalent to
@@ -365,6 +368,8 @@ the Sun disk label will overlay the firs
 boot image.
 .TP
 .BI \-b " eltorito_boot_image"
+.TP
+.BI \-eltorito\-boot " eltorito_boot_image"
 Specifies the path and filename of the boot image to be used when making
 an El Torito bootable CD for x86 PCs. The pathname must be relative to
 the source path specified to
@@ -427,6 +432,8 @@ See the
 section for a description of this table.
 .TP
 .BI \-C " last_sess_start,next_sess_start"
+.TP
+.BI \-cdrecord\-params " last_sess_start,next_sess_start"
 This option is needed to create a CD Extra or the image of a second
 session or a higher-level session for a multisession disc.
 .B \-C
@@ -452,6 +459,8 @@ session on a CD Extra. This is a multise
 in the first session and an ISO9660 filesystem in the second session.
 .TP
 .BI \-c " boot_catalog"
+.TP
+.BI \-eltorito\-catalog " boot_catalog"
 Specifies the path and filename of the boot catalog, which is required
 for an El Torito bootable CD. The pathname must be relative to the source
 path specified to
@@ -488,6 +497,12 @@ For the parameter
 see the description of
 .BR \-M .
 .TP
+.BI \-checksum_algorithm_iso " alg1,alg2,..."
+Specify the checksum types desired for the output image.
+.TP
+.BI \-checksum_algorithm_template " alg1,alg2,..."
+Specify the checksum types desired for the output jigdo template.
+.TP
 .BI \-copyright " file"
 Specifies copyright information, typically a filename on the disc.
 There is space for 37 characters.  Equivalent to
@@ -497,12 +512,16 @@ in the
 file.
 .TP
 .B \-d
+.TP
+.B \-omit\-period
 Do not append a period to files that do not have one.
 .br
 This violates the ISO9660 standard, but it happens to work on many systems.
 Use with caution.
 .TP
 .B \-D
+.TP
+.B \-disable\-deep\-relocation
 Do not use deep directory relocation, and instead just pack them in the
 way we see them.
 .br
@@ -510,6 +529,9 @@ If ISO9660:1999 has not been selected,
 this violates the ISO9660 standard, but it happens to work on many systems.
 Use with caution.
 .TP
+.B \-debug
+Set debug flag.
+.TP
 .BI \-dir\-mode " mode"
 Overrides the mode of directories used to create the image to
 .IR mode ,
@@ -535,7 +557,14 @@ another directory
 needs to include all needed files (filenames must be all caps) for a
 compliant DVD-Video filesystem.
 .TP
+.BI \-e " efi_boot_file"
+.TP
+.BI \-efi\-boot " efi_boot_file"
+Set EFI boot image name.
+.TP
 .B \-f
+.TP
+.B \-follow\-links
 Follow symbolic links when generating the filesystem.  When this option is not
 in use, symbolic links will be entered using Rock Ridge if enabled, otherwise
 they will be ignored.
@@ -740,6 +769,8 @@ See the
 section below for more details.
 .TP
 .B \-l
+.TP
+.B \-full\-iso9660\-filenames
 Allow full 31-character filenames.  Normally the ISO9660 filename will be in an
 8.3 format which is compatible with MS-DOS, even though the ISO9660 standard
 allows filenames of up to 31 characters.  If you use this option, the disc may
@@ -870,6 +901,8 @@ with
 .BR \-C .
 .TP
 .B \-N
+.TP
+.B \-omit\-version\-number
 Omit version numbers from ISO9660 filenames.
 .br
 This violates the ISO9660 standard, but no one really uses the
@@ -967,6 +1000,8 @@ in the
 file.
 .TP
 .BI \-p " preparer_id"
+.TP
+.BI \-preparer " preparer_id"
 Specifies a text string that will be written into the volume header.
 This should describe the preparer of the CD-ROM, usually with a mailing
 address and phone number.  There is space for 128 characters.
@@ -1008,10 +1043,14 @@ This makes
 even less verbose.  No progress output will be provided.
 .TP
 .B \-R
+.TP
+.B \-rock
 Generate SUSP and RR records using the Rock Ridge protocol to further describe
 the files on the ISO9660 filesystem.
 .TP
 .B \-r
+.TP
+.B \-rational\-rock
 This is like the \-R option, but file ownership and modes are set to
 more useful values.  The uid and gid are set to zero, because they are
 usually only useful on the author's system, and not useful to the
@@ -1092,6 +1131,11 @@ intentionally. Accessing several older v
 support by the operating system to choose which sessions are to be
 mounted.
 .TP
+.BI \-s " sector type"
+.TP
+.BI \-sectype " sector type"
+Set output sector type to e.g. data/xa1/raw.
+ .TP
 .BI \-sort " sort_file"
 Sort file locations on the media. Sorting is controlled by a file that
 contains pairs of filenames and sorting offset weighting.
@@ -1213,6 +1257,8 @@ in the
 file.
 .TP
 .B \-T
+.TP
+.B \-translation\-table
 Generate a file
 .I TRANS.TBL
 in each directory on the CD-ROM, which can be used
@@ -1262,6 +1308,8 @@ to
 This option is the default on VMS. 
 .TP
 .B \-U
+.TP
+.B \-untranslated\-filenames
 Allows "untranslated" filenames, completely violating the ISO9660 standards
 described above.  Enables the following flags:
 .B \-d \-l \-N \-allow\-leading\-dots \-relaxed\-filenames
@@ -1333,6 +1381,8 @@ must be specified before
 on each command line.
 .TP
 .B \-v
+.TP
+.B \-verbose
 Verbose execution. If given twice on the command line, extra debug information
 will be printed.
 .TP
@@ -1341,7 +1391,15 @@ Identical to
 .B \-m
 .IR glob .
 .TP
+.B \-XA
+Generate XA directory attruibutes.
+.TP
+.B \-xa
+Generate rationalized XA directory attruibutes.
+.TP
 .B \-z
+.TP
+.B \-transparent\-compression
 Generate special
 .I RRIP
 records for transparently compressed files.
